
%global meadversion 1.9.0
%global namedversion 1.9.0.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package json-patch}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.9.0.redhat-00002

Name:           %{?scl_prefix}json-patch
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JSON Patch implementation in Java
Group:          Development/Java

%if %with mead
Source100: json-patch-1.9.0.redhat-00002-project-sources.tar.gz
Source102: json-patch-1.9.0.redhat-00002-sources.jar
Source103: json-patch-1.9.0.redhat-00002-javadoc.jar
Source104: json-patch-1.9.0.redhat-00002.pom
Source105: json-patch-1.9.0.redhat-00002.jar
%endif

License:        LGPLv3+
URL:            https://github.com/fge/json-patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSON Patch implementation in Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for json-patch
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n json-patch-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/json-patch-%{namedversion}.jar %{buildroot}%{_javadir}/json-patch-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/json-patch-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/json-patch-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/json-patch-%{namedversion}-sources.jar %{buildroot}%{_javadir}/json-patch-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/json-patch-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/json-patch-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/json-patch-%{namedversion} -x META-INF/\*
%{__ln_s} json-patch-%{namedversion} %{buildroot}%{_javadocdir}/json-patch
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md LICENSE
%{_javadir}/json-patch-%{namedversion}.jar
%{_javadir}/json-patch.jar
%if %with javadoc
%{_javadir}/json-patch-%{namedversion}-javadoc.jar
%{_javadir}/json-patch-javadoc.jar
%endif
%{_javadir}/json-patch-%{namedversion}-sources.jar
%{_javadir}/json-patch-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/json-patch-%{namedversion}
%{_javadocdir}/json-patch
%endif

%changelog
* Tue Nov 26 2019 Yong Yang <yyang@redhat.com> - 1.9.0-1.redhat_00002.1
- RPM wrapper build 1.9.0.redhat-00002

* Fri Jul 13 2018 Yong Yang <yyang@redhat.com> - 1.3.0-3.redhat_1.1
- Rebuild to fix doc

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.3.0-3.redhat_1.1
- Remove dorelease.sh, because rpmdiff complains it requires a shell on noarch

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.3.0-2.redhat_1.1
- Fix doc

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.3.0-1.redhat_1.1
-  1.3.0.redhat-1 for eap 7.2.0

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.3.0-1.redhat_1.1
-  1.3.0.redhat-1 for eap 7.2.0

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.3.0-1.Final_redhat_1.1
- 1.3.0.Final-redhat-1
